#
# spec file for package python-allpairspy
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-allpairspy
Version:        2.5.1
Release:        1.5
License:        MIT
Summary:        Pairwise test combinations generator
URL:            https://github.com/thombashi/allpairspy
Group:          Development/Languages/Python
Source:         https://github.com/thombashi/allpairspy/archive/v%{version}.tar.gz#/allpairspy-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module pytest}
# /SECTION
BuildRequires:  fdupes
Suggests:       python-twine
Suggests:       python-wheel
Suggests:       python-releasecmd >= 0.0.18
Suggests:       python-pytest
BuildArch:      noarch
%python_subpackages

%description
Pairwise test combinations generator.

%prep
%autosetup -p1 -n allpairspy-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%license LICENSE.txt
%doc README.rst
%{python_sitelib}/allpairspy*

%changelog
* Thu Dec 14 2023 pgajdos@suse.com
- deleted patches
  - python-allpairspy-no-six.patch (upstreamed)
* Thu Dec 14 2023 Petr Gajdos <pgajdos@suse.com>
- update to 2.5.1:
  * Fix typo in MANIFEST.in
  * Add support for Python 3.9/3.10/3.11
  * Drop support for Python 2.7/3.5/3.6
  * Remove unused `setup.cfg`
* Tue Sep 13 2022 pgajdos@suse.com
- do not require six
- added patches
  fix https://github.com/thombashi/allpairspy/commit/f6dcb1f3e5bc50b98422fee9c6d6fa8d5e7bc038
  + python-allpairspy-no-six.patch
* Sat Feb  8 2020 Martin Hauke <mardnh@gmx.de>
- Initial package, version 2.5.0
